Bug 426646 - Review Request: perl-XML-Merge - Flexibly merge XML documents
Review Request: perl-XML-Merge - Flexibly merge XML documents
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 426645
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-23 11:21 EST by Xavier Bachelot
Modified: 2008-01-02 08:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 08:24:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-23 11:21:07 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-XML-Merge.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-XML-Merge-1.2.565EgGd-1.fc8.src.rpm
Description: 
This module inherits from XML::Tidy which in turn inherits from XML::XPath. This ensures that Merge objects' indenting can be tidied up after any merge operation since such modification usually spells the ruination of indentation. Polymorphism allows Merge objects to be utilized as normal XML::XPath objects as well. The merging behavior is setup to combine separate XML documents according to certain rules and configurable options. If both documents have root nodes which are elements of the same name, the documents are merged directly. Otherwise, one is merged as a child of the other. An optional XPath location can be specified as the place to perform the merge. If no location is specified, the
merge is attempted at the first matching element or is appended as the new last
child of the other root if no match is found.
Comment 2 Parag AN(पराग) 2007-12-28 22:36:28 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
bab8d2a11865ee20b2702b0378a53339  XML-Merge-1.2.565EgGd.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
t/00basic....ok
t/01text.....ok
t/02keep.....ok
All tests successful.
Files=3, Tests=45,  1 wallclock secs ( 1.03 cusr +  0.05 csys =  1.08 CPU)
+ Package  perl-XML-Merge-1.2.565EgGd-2.fc9 ->
  Provides: perl(XML::Merge) = 1.2.565
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(XML::Tidy) perl(base)
perl(strict) perl(warnings)

APPROVED.
Comment 3 Xavier Bachelot 2007-12-29 03:59:45 EST
Thx for the review Parag.

New Package CVS Request
=======================
Package Name: perl-XML-Merge
Short Description: Flexibly merge XML documents
Owners: xavierb
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2007-12-29 16:16:54 EST
cvs done.
Comment 5 Xavier Bachelot 2008-01-02 08:24:00 EST
Thx Kevin.

Imported and built in devel.
Imported and tagged in F-8, but build failed because perl-XML-Tidy is not
available yet.

Note You need to log in before you can comment on or make changes to this bug.